{
  "db_name": "PostgreSQL",
  "query": "\n            INSERT INTO jobs (\n                company_id, title, category, description, location, \n                job_type, salary_min, salary_max, experience_years, skills\n            )\n            VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10)\n            RETURNING *\n            ",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": "Uuid"
      },
      {
        "ordinal": 1,
        "name": "company_id",
        "type_info": "Uuid"
      },
      {
        "ordinal": 2,
        "name": "title",
        "type_info": "Varchar"
      },
      {
        "ordinal": 3,
        "name": "category",
        "type_info": "Varchar"
      },
      {
        "ordinal": 4,
        "name": "description",
        "type_info": "Text"
      },
      {
        "ordinal": 5,
        "name": "location",
        "type_info": "Varchar"
      },
      {
        "ordinal": 6,
        "name": "job_type",
        "type_info": "Varchar"
      },
      {
        "ordinal": 7,
        "name": "salary_min",
        "type_info": "Int4"
      },
      {
        "ordinal": 8,
        "name": "salary_max",
        "type_info": "Int4"
      },
      {
        "ordinal": 9,
        "name": "experience_years",
        "type_info": "Int4"
      },
      {
        "ordinal": 10,
        "name": "skills",
        "type_info": "TextArray"
      },
      {
        "ordinal": 11,
        "name": "status",
        "type_info": "Varchar"
      },
      {
        "ordinal": 12,
        "name": "rejection_reason",
        "type_info": "Text"
      },
      {
        "ordinal": 13,
        "name": "expires_at",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 14,
        "name": "approved_at",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 15,
        "name": "approved_by",
        "type_info": "Uuid"
      },
      {
        "ordinal": 16,
        "name": "created_at",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 17,
        "name": "updated_at",
        "type_info": "Timestamptz"
      }
    ],
    "parameters": {
      "Left": [
        "Uuid",
        "Varchar",
        "Varchar",
        "Text",
        "Varchar",
        "Varchar",
        "Int4",
        "Int4",
        "Int4",
        "TextArray"
      ]
    },
    "nullable": [
      false,
      false,
      false,
      true,
      false,
      false,
      false,
      true,
      true,
      true,
      true,
      false,
      true,
      true,
      true,
      true,
      false,
      false
    ]
  },
  "hash": "2ef1d0bd979727b5c4569eb2ddc999e42364a47ed03f5d535266b2df9e29deda"
}
